#include <bits/stdc++.h>
#define endl '\n'
using namespace std;

bool sortbysec(const pair<double, double> &a,
              const pair<double, double> &b)
{
    return (a.second > b.second);
}

int main() {
	//freopen("in.txt", "r", stdin);
	ios_base::sync_with_stdio(0);
	cin.tie(0);

	int n;
    cin >> n;
    vector<pair<double, double> > a(n);
    for(int i = 0; i < n; i++)
    {
        double x1,x2;
        cin >> x1 >> x2;
        a[i] = make_pair(x1, x2/100);
    }
    sort(a.begin(), a.end(), sortbysec);
    long double zbir = 0;
    long double mx = 0;
    for( int i = 0; i < n; i++)
    {
        zbir += a[i].first;
        if(zbir * a[i].second > mx)
            mx = zbir * a[i].second;
    }

    cout << fixed << setprecision(5)<< mx << endl;




	return 0;
}